spring:
  image: pandoc/latex
  before_script:
    - apk add --update make ttf-liberation python3-dev alpine-sdk linux-headers
    - tlmgr update --self
    - tlmgr install titlesec cleveref
    - pip3 install pandoc-fignos
  script:
    - cd spring_first
    - make clean all
    - mv report.pdf 'Зорин А.Г. 3560901_90601 Самостоятельная работа.pdf'
  artifacts:
    paths: 
      - 'Зорин А.Г. 3560901_90601 Самостоятельная работа.pdf'
    expire_in: 5d

winter:
  image: pandoc/latex
  before_script:
    - apk add --update make ttf-liberation
    - tlmgr update --self
    - tlmgr install titlesec cleveref
  script:
    - cd winter_second
    - make clean all
    - mv report.pdf 'Зорин А.Г. 3560901_90601 Методическая разработка.pdf'
  artifacts:
    paths: 
      - 'Зорин А.Г. 3560901_90601 Методическая разработка.pdf'
    expire_in: 5d
